# -*- coding: utf-8 -*-
from south.utils import datetime_utils as datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models


class Migration(SchemaMigration):

    def forwards(self, orm):
        # Adding field 'RaceUpdate.race'
        db.add_column(u'races_raceupdate', 'race',
                      self.gf('django.db.models.fields.related.ForeignKey')(default="ffxhd", to=orm['races.Race']),
                      keep_default=False)


    def backwards(self, orm):
        # Deleting field 'RaceUpdate.race'
        db.delete_column(u'races_raceupdate', 'race_id')


    models = {
        u'races.race': {
            'Meta': {'object_name': 'Race'},
            'description': ('django.db.models.fields.TextField', [], {}),
            'key': ('django.db.models.fields.CharField', [], {'max_length': '16', 'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '255'})
        },
        u'races.racer': {
            'Meta': {'unique_together': "(('nick', 'race'),)", 'object_name': 'Racer'},
            'finished': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'joined': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'nick': ('django.db.models.fields.CharField', [], {'max_length': '64'}),
            'race': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['races.Race']"}),
            'started': ('django.db.models.fields.BooleanField', [], {'default': 'False'})
        },
        u'races.raceupdate': {
            'Meta': {'object_name': 'RaceUpdate'},
            'event_time': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'race': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['races.Race']"}),
            'racer': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['races.Racer']"}),
            'update': ('django.db.models.fields.TextField', [], {})
        }
    }

    complete_apps = ['races']