from ConfigParser import ConfigParser, NoOptionError
import os
import sys

from seen.models import SeenNick

import MySQLdb as mdb

config_file = 'dr.botzo.cfg'
config = ConfigParser()
config.read(os.path.expanduser(config_file))

dbhost = config.get('dr.botzo', 'dbhost')
dbuser = config.get('dr.botzo', 'dbuser')
dbpass = config.get('dr.botzo', 'dbpass')
dbname = config.get('dr.botzo', 'dbname')

db = mdb.connect(dbhost, dbuser, dbpass, dbname, charset='utf8', use_unicode=True)
try:
    cur = db.cursor()
    query = '''
        SELECT * FROM seen_nicks
    '''
    cur.execute(query)
    for row in cur.fetchall():
        seen_nick = SeenNick()
        seen_nick.nick = row[0]
        seen_nick.channel = row[1]
        seen_nick.host = row[2]
        seen_nick.seen_time = row[3]
        seen_nick.what = row[4]
        seen_nick.save()
except NoOptionError as noe:
    sys.exit("Aborted due to error in config: {0:s}".format(str(noe)))

# vi:tabstop=4:expandtab:autoindent
